<div class="custom-editor-component" [ngClass]="getClasses()">
  <div class="header">
    <div class="label-wrapper">
      <span class="required" *ngIf="required">*</span>
      <label class="label" *ngIf="label">{{ label }}</label>
    </div>
    <div class="character-count-wrapper" *ngIf="characterCountRequired">
      <app-character-count
        [currentCount]="currentCountLength"
        [limit]="limitCountLength"
        [maxCount]="maxCountLength"
      ></app-character-count>
    </div>
  </div>
  <editor
    [init]="editorInit"
    outputFormat="text"
    tagName="div"
  ></editor><!--REMOVE: id="custom-editor" :: IMPORTANT-->
  <div class="helper-text" *ngIf="helperText">
    {{ helperText }}
  </div>
</div>
